{ Работа с ini файлами }
{ Урок от сайта syscoding.ru }

unit Unit1;

interface

 uses
   Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants,
   System.Classes, Vcl.Graphics, Vcl.Controls, Vcl.Forms,
   Vcl.Dialogs, IniFiles, Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    Edit1: TEdit;
    Edit2: TEdit;
    Button1: TButton;
    Memo1: TMemo;
    Button2: TButton;
    CheckBox1: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

 var
   Form1: TForm1;
   IniFile: TIniFile;

implementation

{$R *.dfm}


procedure TForm1.Button1Click(Sender: TObject);
begin
IniFile.WriteString('Form','login',Edit1.Text);
IniFile.WriteString('Form','pass',Edit2.Text);
IniFile.WriteBool('Form','rem',CheckBox1.Checked);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
{Для наглядности сделаем в 3 строки}
memo1.Lines.Add('Логин: '+IniFile.ReadString('Form','login','Ошибка при чтении!'));
memo1.Lines.Add('Пароль: '+IniFile.ReadString('Form','pass','Ошибка при чтении!'));
memo1.Lines.Add('Запомнить: '+IniFile.ReadString('Form','rem','Ошибка при чтении!'));
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  IniFile:=TIniFile.Create(ExtractFilePath(Application.ExeName)+'MyIni.ini');
end;

end.


